<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>

{% load staticfiles %}
{% load i18n %}

<!DOCTYPE html>
<html>
<head>
	<title>{% trans 'Login Page' %}</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

	<link rel="stylesheet" type="text/css" href="{% static 'css/style.css'%}">
</head>
<body style="background-image: url({% static 'img/bg.jpg' %})">
<div class="container">
	<div class="d-flex justify-content-center h-100">
		<div class="card">
			<div class="card-header">
				<h3>{% trans 'Sign In' %}</h3>
			</div>
			<div class="card-body">
				<form>
					<div class="input-group form-group">
						<div class="input-group-prepend">
							<span class="input-group-text"><i class="fas fa-user"></i></span>
						</div>
						<input type="text" class="form-control" id="loginEmail" placeholder="{% trans 'email' %}">

					</div>
					<div class="input-group form-group">
						<div class="input-group-prepend">
							<span class="input-group-text"><i class="fas fa-key"></i></span>
						</div>
						<input type="password" class="form-control" id="loginPassword" placeholder="{% trans 'password' %}">
					</div>
					<div class="form-group">
						<input type="button" id="loginBtn" value="Login" class="btn float-right login_btn">
					</div>
				</form>
			</div>
			<div class="card-footer">
				<div class="d-flex justify-content-center links">
					{% trans "Don't have an account?" %}<a href="#" id="signUp">{% trans 'Sign Up' %}</a>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="registerModal" tabindex="-1" role="dialog" aria-labelledby="registerModalTitle"
	 aria-hidden="true" data-backdrop="static">
	<div class="modal-dialog modal-xl modal-dialog-centered" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="registerModalTitle">{% trans 'Register' %}</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body" style="margin: auto">
				<div class="form-group md-8">
					<br>
					<p>{% trans 'Please enter your email address and password to register.' %}</p>
					<label for="emailInput">{% trans 'Email' %}</label>
					<input type="email" class="form-control" name="mail_setting_email" id="emailInput" placeholder="{% trans 'Input Email' %}">
					<br>
					<label for="passwordInput">{% trans 'Password' %}</label>
					<input type="password" class="form-control" name="mail_setting_email" id="passwordInput" placeholder="{% trans 'Input Password' %}">
					<label for="vipOrNot">{% trans 'VIP: ' %}</label>
					<input type="checkbox" id="vipOrNot">
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" id="registerBtn" class="btn btn-default" style="border: 1px solid #666666">{% trans 'Submit' %}</button>
				<button type="button" id="registerCancelBtn" class="btn btn-default" style="border: 1px solid #666666" data-dismiss="modal">{% trans 'Cancel' %}</button>
			</div>
		</div>
	</div>
</div>

<div class="overlay"></div>

</body>
<script>
	$('#signUp').on('click', function(){
		$('#registerModal').modal('show');
	})
	$(document).keydown(function(event){
		if (event.which === 13){
			if ($('#registerModal').hasClass( "show" )){
				document.getElementById('registerBtn').click();
			}else{
				document.getElementById('loginBtn').click();
			}
		}
	});
	$('#loginBtn').on('click', function(){
		var email = $('#loginEmail').val();
		var password = $('#loginPassword').val();
		$.ajax({
			url : '/login/',
			method : 'POST',
			data : {
				csrfmiddlewaretoken : '{{ csrf_token }}',
				email : email,
				password : password,
			},
			error : function(e) {
				console.log(e)
				alert(e.responseJSON.errorMessage)
			},
			success : function(data){
				window.location.href = '/';
			}
		});
	});
	$('#registerBtn').on('click', function(){
		var email = $('#emailInput').val();
		var password = $('#passwordInput').val();
		var vipCheck = $('#vipOrNot').prop("checked");
		if ( vipCheck ){
			var isVip = 1;
		}else {
			var isVip = 0;
		}
		$.ajax({
			url : '/addAccount/',
			method : 'POST',
			data : {
				csrfmiddlewaretoken : '{{ csrf_token }}',
				email : email,
				password : password,
				isVip : isVip,
			},
			error : function(e) {
				alert(e.responseJSON.errorMessage)
			},
			success : function(data){
				window.location.href = '/';
			}
		});
	});
</script>
</html>